Skip to content
GET/{organizationId}/finance/stripe/account

Get Stripe account

Returns the Stripe account for a given organization

Required permissions:

  • financesSettings.read

Path Parameters

organizationIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/finance/stripe/account
curl --request GET 'https://cloud.campai.com/api/{organizationId}/finance/stripe/account' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

idstringrequired
disabledReasonstring | nullrequired

Options:

action_required.requested_capabilitieslistedotherplatform_pausedrejected.fraudrejected.incomplete_verificationrejected.listedrejected.otherrejected.platform_fraudrejected.platform_otherrejected.platform_terms_of_servicerejected.terms_of_servicerequirements.past_duerequirements.pending_verificationunder_review
statusstring | nullrequired

Options:

restrictedrestrictedSoonpendingenabledcompletedisabled

ObjectId as string

accountinteger | nullrequired

minimum: 1

maximum: 999999999

Additional properties are not allowed.

Additional properties are not allowed.

verifiedbooleanrequired

Response

200
{
  "id": "string",
  "disabledReason": "action_required.requested_capabilities",
  "errors": [
    "string"
  ],
  "status": "restricted",
  "cashAccount": "000000000000000000000001",
  "account": 1,
  "balance": {
    "available": -9007199254740991,
    "pending": -9007199254740991
  },
  "requirements": {
    "eventuallyDue": [
      "string"
    ]
  },
  "verified": true
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}